<template>
    <div class="home">
        <div class="header">
            <span class="header-nav">项目名称:{{itemTitle}}</span>
            <span class="header-nav">项目编号:{{itemCode}}</span>
            <span>发布日期:{{itemTime}}</span>
        </div>
        <h2>{{itemTitle}}</h2>
        <div class="form" v-html="contentList">
            <div></div>
        </div>
        <div class="flex-center" style="margin-top:30px">
            <el-button @click="prev"
                >返回</el-button
              >
        </div>
    </div>
</template>
<script>
import {getErrorDetails} from "@/common/list.js"
export default {
    data(){
        return{
            contentList:'',
            itemTitle:'',
            itemCode:'',
            itemTime:'',
        }
        
    },
    mounted(){
        let id = this.$route.query.id
        console.log(id+"-----------------")
        this.getErrorDetails(id)

    },
    methods:{
        getTimer(dateStr){
      var date = new Date(dateStr);
      var Month = date.getMonth() + 1;
      var Day = date.getDate();
      var Y = date.getFullYear() + '-';
      var M = Month < 10 ? '0' + Month + '-' : Month + '-';
      var D = Day + 1 < 10 ? '0' + Day : Day;
      return Y + M + D;
    },
        prev() {
            window.history.go(-1)
        },
        async getErrorDetails(id){
            console.log(id+"-----------------")
            const {data} = await getErrorDetails(id)
            this.itemTitle = data.title
            this.itemCode = data.projectId
            this.contentList = data.content
            this.itemTime = data.createTime.slice(0,10)
        }
    }
}
</script>

<style scoped>
.header{
    display: flex;
    justify-content: space-between
}
.header-nav{
    margin-right: 30px;
}
h2{
    margin-top:30px;
    margin-bottom: 30px;
    text-align: center;
}
.home{
    width:9.3rem
}
.form{
    margin-top:50px;
    margin-left:40px;
    width:9.3rem
}
</style>